Social Fetch
Bluesky

List Bluesky profile posts

List posts from a Bluesky profile by handle.

GET/v1/bluesky/profiles/{handle}/posts
1credit
x-api-key*stringheader

API key (`sfk_...`)

Parameters
3
handle*stringpath

Bluesky handle whose posts should be listed.

min 1 chars · max 253 chars

cursorstringoptionalquery

Pagination cursor returned by a previous response.

min 1 chars

userIdstringoptionalquery

Optional Bluesky user id to speed up the request.

min 1 chars

Response fields
45

Endpoint-specific response payload.

datalookupStatus
string

Whether the handle resolved for this listing.

one of: found, not_found

Bluesky posts returned for this page.

dataposts[]id
string

Stable Bluesky post URI (at://…).

min 1 chars

dataposts[]cid
stringnullable

Content id when available.

dataposts[]url
string

Canonical public Bluesky web URL for the post.

min 1 chars

dataposts[]text
stringnullable

Post text body when available.

dataposts[]createdAt
stringnullable

ISO-8601 timestamp when the post was created.

dataposts[]indexedAt
stringnullable

ISO-8601 timestamp when the post was indexed.

Author snapshot when available.

dataposts[]authorplatform
string

Social platform for this author.

one of: bluesky

dataposts[]authorplatformUserId
string

Stable Bluesky user id as a string.

min 1 chars

dataposts[]authorhandle
string

Bluesky handle without a leading @.

min 1 chars

dataposts[]authordisplayName
stringnullable

Public display name when available.

dataposts[]authoravatarUrl
stringnullable

Avatar image URL when available.

dataposts[]authorverified
boolean

Whether the profile is marked as verified.

Engagement metrics when available.

dataposts[]metricslikes
integernullable

Like count when available.

≥ 0

dataposts[]metricsreposts
integernullable

Repost count when available.

≥ 0

dataposts[]metricsreplies
integernullable

Reply count when available.

≥ 0

dataposts[]metricsquotes
integernullable

Quote count when available.

≥ 0

Embed when present.

dataposts[]embedkind
string

Normalized embed kind.

one of: external, images, video, record, unknown

External link card when kind is external.

dataposts[]embedexternalurl
string

Linked page URL.

min 1 chars

dataposts[]embedexternaltitle
stringnullable

Link card title when available.

dataposts[]embedexternaldescription
stringnullable

Link card description when available.

dataposts[]embedexternalthumbUrl
stringnullable

Link card thumbnail URL when available.

Images when kind is images.

dataposts[]embedimages[]url
string

Image URL.

min 1 chars

dataposts[]embedimages[]alt
stringnullable

Alt text when available.

Video details when kind is video.

dataposts[]embedvideourl
stringnullable

Playable video URL when available.

dataposts[]embedvideothumbnailUrl
stringnullable

Video thumbnail URL when available.

dataposts[]embedvideoalt
stringnullable

Alt text when available.

Quoted record when kind is record.

dataposts[]embedrecorduri
string

Quoted or referenced post URI.

min 1 chars

dataposts[]embedrecordcid
stringnullable

Content id when available.

Pagination state for the current response.

datapagenextCursor
stringnullable

Opaque cursor for the next page, or null when there is no next page.

datapagehasMore
boolean

Whether another page of results is available.

Metadata describing the request and billing outcome.

metarequestId
string

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integer

Credits charged for this request.

≥ 0

metaversion
string

Public API version that served the response.

one of: v1

Code example

curl "https://api.socialfetch.dev/v1/bluesky/profiles/espn.com/posts" \
  -H "x-api-key: YOUR_API_KEY"

Responses

Bluesky profile posts page.